commit 01c6fb5f07c0d7555e45ab0409dd8e551359dc2c
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Dec 7 14:16:30 2025 +0000

    tidying

diff --git a/src/src/exim.c b/src/src/exim.c
index 32ca1e1d2..d35168d60 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -988,13 +988,13 @@ has the effect of collapsing source routes.
 Arguments:
   s            the address string
   flags        flag bits for verify_address()
-  exit_value   to be set for failures
+  ret	       exit value so far
 
-Returns:       nothing
+Returns:       updated exit value
 */
 
-static void
-test_address(const uschar * s, int flags, int * exit_value)
+static int
+test_address(const uschar * s, int flags, int ret)
 {
 int start, end, domain;
 uschar * parse_error = NULL;
@@ -1003,16 +1003,17 @@ const uschar * address = parse_extract_address(s, &parse_error,
 if (!address)
   {
   fprintf(stdout, "syntax error: %s\n", parse_error);
-  *exit_value = 2;
+  ret = 2;
   }
 else
   {
   /* NB we lose stdio buffering here */
   int rc = verify_address(deliver_make_addr(address,TRUE), fileno(stdout),
     flags, -1, -1, -1, NULL, NULL, NULL);
-  if (rc == FAIL) *exit_value = 2;
-  else if (rc == DEFER && *exit_value == 0) *exit_value = 1;
+  if (rc == FAIL) ret = 2;
+  else if (rc == DEFER && ret == EXIT_SUCCESS) ret = EXIT_FAILURE;
   }
+return ret;
 }
 
 
@@ -5302,8 +5303,7 @@ stdin. Set debug_level to at least D_v to get full output for address testing.
 
 if (verify_address_mode || f.address_test_mode)
   {
-  int exit_value = 0;
-  int flags = vopt_qualify;
+  int exit_value = EXIT_SUCCESS, flags = vopt_qualify;
 
   if (verify_address_mode)
     {
@@ -5320,33 +5320,35 @@ if (verify_address_mode || f.address_test_mode)
     DEBUG(D_verify) debug_print_ids(US"Address testing:");
     }
 
-  if (recipients_arg < argc)
+  if (recipients_arg < argc)			/* addresses on cmdline */
     while (recipients_arg < argc)
       {
       /* Supplied addresses are tainted since they come from a user */
       uschar * s = string_copy_taint(
-	exim_str_fail_toolong(argv[recipients_arg++], EXIM_DISPLAYMAIL_MAX, "address verification"),
+	exim_str_fail_toolong(argv[recipients_arg++], EXIM_DISPLAYMAIL_MAX,
+			      "address verification"),
 	GET_TAINTED);
       while (*s)
         {
         BOOL finished = FALSE;
         uschar * ss = parse_find_address_end(s, FALSE);
         if (*ss == ',') *ss = 0; else finished = TRUE;
-        test_address(s, flags, &exit_value);
+        exit_value = test_address(s, flags, exit_value);
         s = ss;
         if (!finished)
           while (*++s == ',' || isspace(*s)) ;
         }
       }
 
-  else for (;;)
+  else for (;;)					/* addresses from stdin */
     {
     const uschar * s = get_stdinput(NULL, NULL);
     if (!s) break;
-    test_address(string_copy_taint(
-	exim_str_fail_toolong(s, EXIM_DISPLAYMAIL_MAX, "address verification (stdin)"),
+    exit_value = test_address(string_copy_taint(
+	exim_str_fail_toolong(s, EXIM_DISPLAYMAIL_MAX,
+			      "address verification (stdin)"),
 	GET_TAINTED),
-      flags, &exit_value);
+      flags, exit_value);
     }
 
   route_tidyup();
diff --git a/src/src/lookups/psl.c b/src/src/lookups/psl.c
index 9171192a3..3b2af489e 100644
--- a/src/src/lookups/psl.c
+++ b/src/src/lookups/psl.c
@@ -46,7 +46,7 @@ psl_gen_find(void * handle, const uschar * keystring,
   int length, uschar ** result, uschar ** errmsg, BOOL is_regdom)
 {
 uschar rulebuf[128], * res = NULL;
-const uschar * s, * k, * kmatch;
+const uschar * s, * k, * kmatch = NULL;
 unsigned res_label_cnt = 0, nlabels;
 BOOL key_utf8;
 
@@ -138,7 +138,7 @@ while ((s = US fgets(CS rulebuf, sizeof(rulebuf), handle)))
       kmatch = k;
       }
 
-    nonmatch:
+    nonmatch: ;
     }
   }
     /* kmatch is the key trail after the regdom. label */
diff --git a/src/src/miscmods/dmarc_native.c b/src/src/miscmods/dmarc_native.c
index 084adab28..a3434a146 100644
--- a/src/src/miscmods/dmarc_native.c
+++ b/src/src/miscmods/dmarc_native.c
@@ -359,7 +359,7 @@ if (!dmarc_abort && !sender_host_authenticated)
     .ri =	US"86400",
     };
 
-  int sr = SPF_RESULT_INVALID, spf_origin;
+  int sr = SPF_RESULT_INVALID /*, spf_origin*/;
   uschar * spf_human_readable = NULL, * spf_sender_domain = NULL;
   unsigned dkim_sig_count = 0;
   gstring * dkim_history_buffer = NULL;
@@ -525,7 +525,7 @@ if (!dmarc_abort && !sender_host_authenticated)
 	}
       spf_result = DMARC_POLICY_SPF_OUTCOME_NONE;
       dmarc_spf_ares_result = ARES_RESULT_UNKNOWN;
-      spf_origin = DMARC_POLICY_SPF_ORIGIN_HELO;
+      /* spf_origin = DMARC_POLICY_SPF_ORIGIN_HELO; */
       spf_human_readable = US"";
       }
     else
@@ -544,7 +544,7 @@ if (!dmarc_abort && !sender_host_authenticated)
 			      sr == SPF_RESULT_PERMERROR ? ARES_RESULT_PERMERROR :
 			      ARES_RESULT_UNKNOWN;
       /*XXX hmm, spf_origin never used? */
-      spf_origin = DMARC_POLICY_SPF_ORIGIN_MAILFROM;
+      /* spf_origin = DMARC_POLICY_SPF_ORIGIN_MAILFROM; */
       DEBUG(D_receive)
 	debug_printf_indent("DMARC: using SPF sender domain = %s\n",
 					  spf_sender_domain);
diff --git a/src/src/moan.c b/src/src/moan.c
index 01bf4f578..e5af5e511 100644
--- a/src/src/moan.c
+++ b/src/src/moan.c
@@ -666,7 +666,7 @@ void
 moan_smtp_batch(const uschar * cmd_buffer, const char * format, ...)
 {
 va_list ap;
-int yield = (receive_messagecount > 0)? 1 : 2;
+int yield = receive_messagecount > 0 ? EXIT_FAILURE : 2;
 
 DEBUG(D_any) debug_printf("Handling error in batched SMTP input\n");
 
diff --git a/src/src/string.c b/src/src/string.c
index 4e122a97b..6be0b7678 100644
--- a/src/src/string.c
+++ b/src/src/string.c
@@ -1835,9 +1835,9 @@ while (*fp)
 	else
 	  die_tainted(US"string_vformat", func, line);
 #endif
-
-    INSERT_STRING:              /* Come to from %D or %M above */
-
+#ifndef COMPILE_UTILITY
+    INSERT_STRING:              /* Come from %D or %M above */
+#endif
       {
       BOOL truncated = FALSE;
 

